<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="../iron-icon/iron-icon.html">

<dom-module id="set-up">
  <template>
    <style>
      :host {
        display: inline-block;
      }
      iron-icon {
        fill: var(--icon-toggle-color, rgba(0,0,0,0));
        stroke: var(--icon-toggle-outline-color, currentcolor);
      }
      :host([pressed]) iron-icon {
        fill: var(--icon-toggle-pressed-color, currentcolor);
      }
    </style>

    <iron-icon icon="[[toggleIcon]]" on-click="toggle"></iron-icon>
  </template>

  <script>
    /**
     * `set-up`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class SetUp extends Polymer.Element {
      static get is() { return 'set-up'; }
      static get properties() {
        return {
          pressed: {
            type: Boolean,
            notify: true,
            reflectToAttribute: true,
            value: false
          },
          toggleIcon: {
            type: String
          },
        };
      }
      constructor() {
        super();
      }
      toggle() {
        this.pressed = !this.pressed;
      }
    }

    window.customElements.define(SetUp.is, SetUp);
  </script>
</dom-module>
